Bug 431033 - Networkmanager have problems with PEAP/TKIP
Networkmanager have problems with PEAP/TKIP
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 04:59 EST by Micko
Modified: 2008-10-20 11:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 11:10:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/sbin/iwlist wlan0 scan of TKIP network (15.20 KB, text/plain)
2008-02-01 04:31 EST, Micko
no flags Details
Log from NetworkManager (64.93 KB, text/plain)
2008-04-23 04:34 EDT, Micko
no flags Details
At the end of this log NM is trying to connect several times and at last i succed (14.81 KB, text/plain)
2008-04-23 07:18 EDT, Micko
no flags Details
messages from NM F8 and NM F9 (165.59 KB, text/plain)
2008-05-15 08:59 EDT, Micko
no flags Details

  None (edit)
Description Micko 2008-01-31 04:59:05 EST
Description of problem:
Networkmanager disconnects after some time using TKIP. Sometimes its possible to
reconnect after a restart of NM. There is no option in the menu to choose TKIP.
(I compare with for example Ubuntu 7.04-10 where TKIP is an option)

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.6.7.svn3204.fc8

[root@wallence ~]# lsmod |grep iw
iwl3945               161461  0
mac80211              125265  1 iwl3945

How reproducible:
I don't know, maybe try a WPA-Enterprice WLAN with PEAP and TKIP? It is hard to
say since uptime seems to vary from time to time. 

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
[root@wallence ~]# iwconfig

wlan0     IEEE 802.11g  ESSID:"PORT-ADM"
          Mode:Managed  Frequency:2.437 GHz  Access Point: 00:1A:30:33:41:80
          Bit Rate=54 Mb/s   Tx-Power=16 dBm
          Retry min limit:7   RTS thr:off   Fragment thr=2352 B
          Encryption
key:208D-6D08-76C6-687C-5C38-7CB8-12BF-8432-2C71-1350-9122-BC6F-9D07-3EB5-0A22-CC1E
[2]
          Link Quality=86/100  Signal level=-47 dBm  Noise level=-85 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

[root@wallence ~]# iwlist wlan0 encryption
wlan0     2 key sizes : 40, 104bits
          4 keys available :
                [1]: off
                [2]:
208D-6D08-76C6-687C-5C38-7CB8-12BF-8432-2C71-1350-9122-BC6F-9D07-3EB5-0A22-CC1E
(256 bits)
                [3]: off
                [4]: off
          Current Transmit Key: [2]
Comment 1 Dan Williams 2008-01-31 10:48:36 EST
Is your access point hiding it's SSID?

Can you provide "/sbin/iwlist wlan0 scan" output for your access point?  I need
to see it's WPA/RSN information elements.  If the AP is properly advertising
it's capabilities, then wpa_supplicant should be able to automatically choose
the correct cipher suite for the AP and you should not need to set that manually.

Thanks!
Comment 2 Micko 2008-02-01 04:31:15 EST
Created attachment 293700 [details]
/sbin/iwlist wlan0 scan of TKIP network 

Requested info of network
Comment 3 Micko 2008-04-23 04:34:13 EDT
Created attachment 303454 [details]
Log from NetworkManager 

wpa_supplicant-0.5.10-4.fc8
NetworkManager-glib-0.7.0-0.6.7.svn3235.fc8
NetworkManager-gnome-0.7.0-0.6.7.svn3235.fc8
NetworkManager-0.7.0-0.6.7.svn3235.fc8
NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8
NetworkManager-openvpn-0.7.0-8.svn3302.fc8
Comment 4 Micko 2008-04-23 04:36:29 EDT
Comment on attachment 303454 [details]
Log from NetworkManager 

Report: I can now connect to my network but I get disconnected after awhile. I
can reconnect a few times but after awhile I need to reboot NM to get going
again. I send some logs that I hope can help.
Comment 5 Micko 2008-04-23 07:18:45 EDT
Created attachment 303479 [details]
At the end of this log NM is trying to connect several times and at last i succed

Additional information: This log shows how NM tries to connect, fails several
times and then succeds.
Comment 6 Micko 2008-04-30 05:11:12 EDT
Networkmanager.

Hello, just after I reported problems I got an update and it now works much
better. Some of the problems still occur, sudden disconnect and I have to try
twice sometimes to reconnect. Please tell me if I can be of some help to improve
NM further.  

Maybe it would be better if it said TKIP instead of peapv0? I wasn't familiar
with  that anyway that they were the same. 

Best regards, Micko

Comment 7 Micko 2008-05-15 08:59:50 EDT
Created attachment 305484 [details]
messages from NM F8 and NM F9

At the end of the file there is output from NM in F9. Sorry if its to big. At
the start of the file there is output from NM in F8 working okey.
Comment 8 Micko 2008-05-15 09:00:47 EDT
Comment on attachment 305484 [details]
messages from NM F8 and NM F9

Short report of NM F8 -> F9 I upgraded yesterday. The latest NM in F8 was
working perfect on my WLAN. The new in F9 (that look really promising, nice
work!) is not as stable. It disconnects more often and I have to restart it to
make it reconnect. I include a logfile and hope it can help. Thanks! (I dont
really know what is affecting this, maybe off cource, its something else)
Comment 9 Dan Williams 2008-10-20 11:10:03 EDT
Is this still an issue with latest NM, kernel, and wpa_supplicant?  WPA/WPA2 + PEAP/MSCHAPv2 tested fine with NM svn4022.4, 2.6.26.5-28.fc8, supplicant 0.5.10-6.fc8.  Please re-open if it's still an issue.

Note You need to log in before you can comment on or make changes to this bug.